{% extends 'base.html' %}

{% block main %}
<center><h1 class="m-4">CLIENTES</h1></center>
<table class="table shadow">
    <thead>
      <tr>
        <th scope="col">DNI</th>
        <th scope="col">NOMBRE</th>
        <th scope="col">DIRECCIÓN</th>
        <th scope="col">FECHA DE NACIMIENTO</th>
        <th scope="col">MODIFICAR</th>
        <th scope="col">ELIMINAR</th>
      </tr>
    </thead>
    <tbody>
      
      
      {% if user.is_authenticated %}
        
        {% if not error %}
            {% for cliente in entity %}
            <tr>
                <th scope="row">{{cliente.dni}}</th>
                <td>{{cliente.nombre}}</td>
                <td>{{cliente.direccion}}</td>
                <td>{{cliente.fecha_nacimiento}}</td>
                <td>
                    <a href="" style="text-decoration: none;color: blue;">
                        <span class="material-symbols-outlined">
                            edit
                        </span>
                    </a>
                </td>
                <td>
                    <a href="" style="text-decoration: none;color: red;">
                        <span class="material-symbols-outlined">
                            delete
                        </span>
                    </a>
                </td>
            </tr>
            {% endfor %}
        {% else %}
            <div class="card shadow p-3 m-3 bg-warning">
                Aún no hay datos para mostrar...
            </div>
        {% endif %}
            
    </tbody>
</table>
{% include 'paginator.html' %}
      {% else %}
    </tbody>
</table>
      <div class="card shadow p-3 m-3 warning">
        Para mostrar los datos debe iniciar sesión...
      </div>
      {% endif %}
{% endblock main %}
    